/// Support for interoperating with [JavaScript](https://developer.mozilla.org/en-US/docs/Web/JavaScript) APIs.
@JS()
library nodejs_interop.js;

import 'dart:async';
import 'dart:typed_data';
import 'package:js/js.dart';

// ignore: directives_ordering
export 'dart:js_util';

part 'src/js/error.dart';
part 'src/js/functions.dart';
part 'src/js/promise.dart';
