part of nodejs_interop.io;
// ignore_for_file: avoid_classes_with_only_static_members

/// Provides methods for retrieving information about the current process.
class ProcessInfo implements io.ProcessInfo {

  /// The current resident set size of memory for the process.
  static int get currentRss => process.memoryUsage().rss;

  /// The high-watermark in bytes for the resident set size of memory for the process.
  static int get maxRss => throw new UnsupportedError('Not supported by Node.js');
}
