part of nodejs_interop.node;

/// Provides constants for the `buffer` module.
@JS()
abstract class BufferConstants {

  /// The largest size allowed for a single [Buffer] instance.
  /// This value is also available as [BufferModule.kMaxLength].
  external int get MAX_LENGTH; // ignore: non_constant_identifier_names

  /// The largest length allowed for a single [String] instance.
  external int get MAX_STRING_LENGTH; // ignore: non_constant_identifier_names
}
