part of nodejs_interop.node;

/// The [`module`](https://nodejs.org/api/modules.html) module.
@JS()
abstract class ModuleModule {

  /// The list of the names of all modules provided by Node.js.
  /// Can be used to verify if a module is maintained by a third-party module or not.
  external List<String> get builtinModules;
}
