part of nodejs_interop.node;

/// The [`net`](https://nodejs.org/api/net.html) module.
@JS()
abstract class NetModule {

  /// TODO
  external void connect();

  /// TODO
  external void createConnection();

  /// TODO
  external void createServer([ServerOptions options, void connectionListener(Socket socket)]);

  /// Tests if the specified [input] is an IP address.
  /// Returns `0` for invalid strings, returns `4` for IP version 4 addresses, and returns `6` for IP version 6 addresses.
  external int isIP(String input);

  /// Returns a value indicating whether the specified [input] is a version 4 IP address.
  external bool isIPv4(String input);

  /// Returns a value indicating whether the specified [input] is a version 6 IP address.
  external bool isIPv6(String input);
}
