part of nodejs_interop.node;

/// Information about a user.
@JS()
abstract class UserInfo {

  /// The number of milliseconds the CPU has spent in scheduling priority mode.
  external int get gid;

  /// The number of milliseconds the CPU has spent in user mode.
  external String get homedir;

  /// The number of milliseconds the CPU has spent in system mode.
  external String get shell;

  /// The number of milliseconds the CPU has spent in interrupt request mode.
  external int get uid;

  /// The number of milliseconds the CPU has spent in idle mode.
  external String get username;
}
