part of nodejs_interop.node;

/// An object whose properties represent significant elements of a path.
@JS()
@anonymous
class PathObject {

  /// Creates a new path object.
  external factory PathObject({String base, String dir, String ext, String name, String root});

  /// The file name.
  external String get base;
  external set base(String value);

  /// The directory name.
  external String get dir;
  external set dir(String value);

  /// The file extension.
  external String get ext;
  external set ext(String value);

  /// The file name without extension.
  external String get name;
  external set name(String value);

  /// The root component.
  external String get root;
  external set root(String value);
}
