import 'dart:js';
import 'package:nodejs_interop/node.dart';
import 'package:test/test.dart';

/// Tests the features of the `nodejs_interop.node` functions.
void main() {
  // TODO: `asStream()` test.
  group('asStream()', () {
    //var values = const ['foo', 'bar', 'baz', 'qux', 'quux'];
    var options = new ReadableOptions(read: allowInteropCaptureThis((self, size) => self.push(size.toString())));
    loadLibrary('stream');

    test('should convert an empty `Readable` into an empty stream', () {
      //expect(asStream(new Readable<String>(options)), emitsDone);
    });

    test('should TODO', () async {
      var readable = new Readable<String>(options); //..push('foo')..push('bar');
      expect(await asStream(readable).toList(), orderedEquals(<String>['foo', 'bar']));
    });
  }, skip: true);
}
