import 'package:nodejs_interop/node.dart';
import 'package:test/test.dart';

/// Tests the features of the [TtyModule] class.
void main() => group('TtyModule', () {
  final TtyModule tty = require('tty');

  group('.isatty()', () {
    test('should be `false` for the standard input', () {
      expect(tty.isatty(0), isFalse);
    });

    test('should be `false` for the standard output', () {
      expect(tty.isatty(1), isFalse);
    });

    test('should be `false` for the standard error', () {
      expect(tty.isatty(2), isFalse);
    });
  });
});
