part of nodejs_interop.node;

/// The [`http`](https://nodejs.org/api/http.html) module.
@JS()
abstract class HttpModule {

  /// The HTTP methods that are supported by the parser.
  external List<String> get METHODS; // ignore: non_constant_identifier_names

  /// A collection of all the standard HTTP response status codes, and the short description of each.
  external dynamic get STATUS_CODES; // ignore: non_constant_identifier_names
}
