import 'package:nodejs_interop/node.dart';
import 'package:test/test.dart';

/// Tests the features of the [ModuleModule] class.
void main() => group('ModuleModule', () {
  final ModuleModule module = require('module');

  group('.builtinModules', () {
    test('should return a list of all modules provided by Node.js', () {
      expect(module.builtinModules, allOf(isNotEmpty, containsAllInOrder(<String>['assert', 'buffer', 'child_process', 'console'])));
    });
  });
});
